Каси: методи API Bimp
Методи API Bimp для ресурсу «Каси» (/org2/cashRegistry/…): 2 методи. Базова адреса: https://app.bimpsoft.com. Усі запити, крім входу, передають токен компанії в заголовку access-token — див. Початок роботи з API.
| Метод | Що робить |
|---|---|
POST /org2/cashRegistry/api-readList | A request to view a list of cash registry |
POST /org2/cashRegistry/api-read | A request to obtain detailed information for a particular cash registry |
api-readList
POST /org2/cashRegistry/api-readList
A request to view a list of cash registry
Тіло запиту (JSON)
| Поле | Тип | Обов’язкове | Опис |
|---|---|---|---|
pagination | object | так | |
pagination.offset | number | так | Begin from {offset} elements |
pagination.count | number | так | Limit of paginated elemets |
Відповідь: поле data
| Поле | Тип | Опис |
|---|---|---|
[].uuid | string (uuid) | A unique uuid key for the cash registry |
[].name | string | |
[].comment | string | |
[].currency | string (uuid) | |
[].main | boolean | |
[].accounting | string (uuid) |
curl -X POST 'https://app.bimpsoft.com/org2/cashRegistry/api-readList' \
-H 'access-token: <токен компанії>' \
-H 'Content-Type: application/json' \
-d '{"pagination":{"offset":0,"count":10}}'
api-read
POST /org2/cashRegistry/api-read
A request to obtain detailed information for a particular cash registry
Тіло запиту (JSON)
| Поле | Тип | Обов’язкове | Опис |
|---|---|---|---|
uuid | string (uuid) | так | A unique uuid key for the cash registry |
Відповідь: поле data
| Поле | Тип | Опис |
|---|---|---|
uuid | string (uuid) | A unique uuid key for the cash registry |
name | string | |
comment | string | |
currency | string (uuid) | |
main | boolean | |
accounting | string (uuid) |
curl -X POST 'https://app.bimpsoft.com/org2/cashRegistry/api-read' \
-H 'access-token: <токен компанії>' \
-H 'Content-Type: application/json' \
-d '{"uuid":"00000000-0000-0000-0000-000000000000"}'
Інтерактивна документація з можливістю надіслати тестовий запит: https://app.bimpsoft.com/docs. Специфікація OpenAPI оновлюється разом із Bimp; ця сторінка згенерована з неї автоматично.